package com.inkasso.factoring.common.enums;

import lombok.Getter;

/**
 * @author liutao
 * @date 2023-08016
 */
@Getter
public enum AccidentInquiryStatusEnum {

    TO_BE_PAID("accidentInquiryStatusToBePaid","待支付"),

    TO_BE_GENERATED("accidentInquiryStatusToBeGenerated","待生成"),

    GENERATED("accidentInquiryStatusGenerated","已生成"),

    EXPIRED("accidentInquiryStatusExpired","已失效"),

    REQUERY("accidentInquiryStatusRequery","请重新查询"),

    CHANGE_REQUERY("accidentInquiryStatusChangeRequery","本车无对应报告，请更换其他车辆进行查询");

    String code;

    String desc;

    AccidentInquiryStatusEnum(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static AccidentInquiryStatusEnum getByCode(String code){
        for(AccidentInquiryStatusEnum ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }
}
